Contracts

Contract documents associated with commercial transaction


Parameters

Name In Type Required Description
org path string true Organization name
commercial_transaction_id path string(uuid) true Commercial transaction unique identifier
offset query integer false Pagination offset
limit query integer false Pagination limit
documents_contract_id query string false Filter by documents contract identifier

Request example

1
2
3
4

curl -X GET https://subscriptions.masstack.com/v3/orgs/yoigo/sales/commercial_transactions/ce2f20cb-35df-4ffe-bca6-c0ed0c28cb39/contracts?offset='0'&limit='50'&documents_contract_id='string' \
  -H "Accept: application/json"

Responses

Code Meaning Description Schema
200 OK Contracts found for the commercial transaction ContractsSet
403 Forbidden Forbidden access ErrorResponse
404 Not Found Commercial transaction not found ErrorResponse
500 Internal Server Error Internal server error ErrorResponse
default Default Any client or server error ErrorResponse

Parameters

Name In Type Required Description
org path string true Organization name
commercial_transaction_id path string(uuid) true Commercial transaction unique identifier
body body Contract true Contract data

Request body - instance of Contract

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
{
  "id": "ce2f20cb-35df-4ffe-bca6-c0ed0c28cb39",
  "documents_contract_id": "12345678-1234-1234-1234-123456789012",
  "documents_owner_id": "87654321-4321-4321-4321-210987654321",
  "creation_date": "2025-01-05T03:30:15Z",
  "creation_user": "john.doe@masorange.es",
  "creation_system": "mas-subscriptions.auth.masmovil.com",
  "last_updated_date": "2025-01-06T10:30:15Z",
  "last_updated_user": "jane.smith@masorange.es"
}
Name Type Required Description
id string(uuid) true Contract id
documents_contract_id string true Documents service contract id
documents_owner_id string true Documents service owner id
creation_date string(date-time) false Creation date according to ISO 8601
creation_user string false User who created the contract
creation_system string false System that created the contract
last_updated_date string(date-time) false Last update date according to ISO 8601
last_updated_user string false User who last updated the contract

Request example

1
2
3
4
5
6
7
8
9

curl -X POST https://subscriptions.masstack.com/v3/orgs/yoigo/sales/commercial_transactions/ce2f20cb-35df-4ffe-bca6-c0ed0c28cb39/contracts \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
 --data-raw "{
  'documents_contract_id': '12345678-1234-1234-1234-123456789012',
  'documents_owner_id': '87654321-4321-4321-4321-210987654321'
}" 

Responses

Code Meaning Description Schema
201 Created Contract successfully added Contract
400 Bad Request Bad request ErrorResponse
403 Forbidden Forbidden access ErrorResponse
404 Not Found Commercial transaction not found ErrorResponse
500 Internal Server Error Internal server error ErrorResponse
default Default Any client or server error ErrorResponse

Endpoints

Promotions

    CommercialTransactions

      Contracts